<?php
/**
 * Template Name: Home Custom Page
 */
?>

<?php get_header(); ?>

<section id="slider">
    <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel"> 
      <?php $pages = array();
        for ( $count = 1; $count <= 3; $count++ ) {
          $mod = intval( get_theme_mod( 'multipurpose_corporate_slider_page' . $count ));
          if ( 'page-none-selected' != $mod ) {
            $pages[] = $mod;
          }
        }
        if( !empty($pages) ) :
          $args = array(
            'post_type' => 'page',
            'post__in' => $pages,
            'orderby' => 'post__in'
          );
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            $i = 1;
      ?>     
      <div class="carousel-inner" role="listbox">
        <?php  while ( $query->have_posts() ) : $query->the_post(); ?>
          <div <?php if($i == 1){echo 'class="carousel-item active"';} else{ echo 'class="carousel-item"';}?>>
            <img src="<?php the_post_thumbnail_url('full'); ?>"/>
            <div class="carousel-caption d-none d-md-block">
              <div class="inner_carousel">
                <h2><?php the_title(); ?></h2>
                <p><?php the_excerpt(); ?></p>
                <div class="slide-btn">
                  <a href="<?php the_permalink(); ?>"><?php esc_html_e('Read More','multipurpose-corporate'); ?></a>
                </div>
              </div>
            </div>
          </div>
        <?php $i++; endwhile; 
        wp_reset_postdata();?>
      </div>
      <?php else : ?>
          <div class="no-postfound"></div>
        <?php endif;
      endif;?>
      <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"><?php esc_html_e('Previous','multipurpose-corporate'); ?></span>
      </a>
      <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"><?php esc_html_e('Next','multipurpose-corporate'); ?></span>
      </a>
    </div>
    
    <div class="clearfix"></div>
</section>

<?php do_action( 'multipurpose_corporate_after_slider' ); ?>

<section id="services">
  <div class="container">
    <div class="row">
      <div class="col-md-10 offset-md-1 row">
        <?php $pages = array();
          for ( $count = 0; $count <= 3; $count++ ) {
            $mod = intval( get_theme_mod( 'multipurpose_corporate_services_page' . $count ));
            if ( 'page-none-selected' != $mod ) {
              $pages[] = $mod;
            }
          }
          if( !empty($pages) ) :
            $args = array(
              'post_type' => 'page',
              'post__in' => $pages,
              'orderby' => 'post__in'
            );
            $query = new WP_Query( $args );
            if ( $query->have_posts() ) :
              $count = 0;
              while ( $query->have_posts() ) : $query->the_post(); ?>
                <div class="col-md-4 col-sm-4 top-service">
                  <img src="<?php the_post_thumbnail_url('full'); ?>"/>
                  <h3><?php the_title(); ?></h3>
                  <hr class="services">
                 <p><?php $excerpt = get_the_excerpt(); echo esc_html( multipurpose_corporate_string_limit_words( $excerpt,30 ) ); ?></p>
                  <a href="<?php the_permalink(); ?>"><?php esc_html_e('READ MORE','multipurpose-corporate'); ?></a>
                </div>
              <?php $count++; endwhile; 
              wp_reset_postdata();?>
            <?php else : ?>
              <div class="no-postfound"></div>
          <?php endif;
        endif;?>
        <div class="clearfix"></div>
      </div>
    </div>
  </div> 
</section>

<?php do_action( 'multipurpose_corporate_after_courses' ); ?>

<section id="about">
  <div class="container">
    <div class="row">
      <?php $pages = array();
          $mod = intval( get_theme_mod( 'multipurpose_corporate_about_page' . $count ));
          if ( 'page-none-selected' != $mod ) {
            $pages[] = $mod;
        }
        if( !empty($pages) ) :
          $args = array(
            'post_type' => 'page',
            'post__in' => $pages,
            'orderby' => 'post__in'
          );
          $query = new WP_Query( $args );
          if ( $query->have_posts() ) :
            $count = 0;
            while ( $query->have_posts() ) : $query->the_post(); ?>
              <div class="col-md-8">
                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <p><?php the_excerpt() ?></p>
              </div>
              <div class="col-md-4 col-sm-4">
                <img src="<?php the_post_thumbnail_url('full'); ?>"/>                
              </div>
            <?php $count++; endwhile; 
            wp_reset_postdata();?>
          <?php else : ?>
            <div class="no-postfound"></div>
        <?php endif;
      endif;?>
      <div class="clearfix"></div>
    </div>
  </div> 
</section>

<div class="container">
  <?php while ( have_posts() ) : the_post(); ?>
    <?php the_content(); ?>
  <?php endwhile; // end of the loop. ?>
</div>

<?php get_footer(); ?>